#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires X server)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	GStreamer
%define		pnam	Interfaces
Summary:	Perl gstreamer base plugins bindings
Summary(pl.UTF-8):	Wiązania podstawowych wtyczek gstreamera dla Perla
Name:		perl-GStreamer-Interfaces
Version:	0.06
Release:	11
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://downloads.sourceforge.net/gtk2-perl/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	aa9583a484fa6829935b360887ecda45
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	gstreamer0.10-plugins-base-devel >= 0.10.9
BuildRequires:	perl-ExtUtils-Depends >= 0.205
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.07
BuildRequires:	perl-GStreamer-devel >= 0.09
BuildRequires:	perl-Glib >= 1.180
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-GStreamer >= 0.09
Requires:	perl-Glib >= 1.180
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides Perl access to gstreamer base plugins library.

%description -l pl.UTF-8
Ten moduł daje dostęp z poziomu Perla do podstawowych wtyczek
gstreamera.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%{perl_vendorarch}/GStreamer/Interfaces.pm
%dir %{perl_vendorarch}/GStreamer/Interfaces
%{perl_vendorarch}/GStreamer/Interfaces/Install
%dir %{perl_vendorarch}/auto/GStreamer/Interfaces
%attr(755,root,root) %{perl_vendorarch}/auto/GStreamer/Interfaces/Interfaces.so
%{_mandir}/man3/GStreamer::Interfaces*.3pm*
%changelog
* Mon Jun 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-GStreamer-Interfaces.git;a=log;h=auto/th/perl-GStreamer-Interfaces-0.06-11

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7b4b749
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 563dbe6
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> a5b4b41
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> d30f755
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 8c90766
- x32 rebuild
- release 7 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 9d03a5a
- more BRs fixing
- rel 6

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 5141a54
- fix BRs
- rel 5

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5d621d7
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3987bcd
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8ed72bb
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Fri Mar 11 2011 Jakub Bogusz <qboosh@pld-linux.org> d6b1a9e
- removed obsolete rm

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f29be05
- release 2

* Wed Mar 24 2010 amateja <amateja@pld-linux.org> b16a99e
- updated to 0.06

* Tue Mar 09 2010 amateja <amateja@pld-linux.org> 2c111b5
- updated to 0.05

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> e47fb19
- updated to 0.04

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> c94d1a3
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1b9632b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8e71c3e
- converted to UTF-8

* Sun Sep 10 2006 Jakub Bogusz <qboosh@pld-linux.org> 3208c82
- pl cosmetic, readable files

* Sat Aug 26 2006 grzegol <grzegol@pld-linux.org> 1292358
- new

